Bug 34854 - Add ability to skip Talking Tech Itiva notifications for a patron if a given field matches a given value
Summary: Add ability to skip Talking Tech Itiva notifications for a patron if a given ...
Status: Needs documenting
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-09-20 17:18 UTC by Kyle M Hall
Modified: 2024-02-08 18:47 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00,23.11.03


Attachments
Bug 34854: Add ability to skip Talking Tech Itiva notifications for a patron if a given field matches a given value (3.90 KB, patch)
2023-09-20 17:23 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 34854: Add ability to skip Talking Tech Itiva notifications for a patron if a given field matches a given value (3.95 KB, patch)
2023-11-02 17:28 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 34854: Add ability to skip Talking Tech Itiva notifications for a patron if a given field matches a given value (4.02 KB, patch)
2023-11-20 14:29 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 34854: (follow-up) Param name change + POD (3.89 KB, patch)
2023-11-20 14:29 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2023-09-20 17:18:34 UTC
Because some notices are mandatory, some libraries would like to allow patrons to opt-in to phone notices. The request is to be able to decide if a patron should get a notice based on the value of a given field ( usually sort1 or sort2 ).
Comment 1 Kyle M Hall 2023-09-20 17:23:40 UTC
Created attachment 155956 [details] [review]
Bug 34854: Add ability to skip Talking Tech Itiva notifications for a patron if a given field matches a given value

Because some notices are mandatory, some libraries would like to allow patrons to opt-in to phone notices. The request is to be able to decide if a patron should get a notice based on the value of a given field ( usually sort1 or sort2 ).

Test Plan:
1) Apply this patch
2) Enable TalkingTechItivaPhoneNotification
3) Set up some overdue items for a patron
4) Enable phone notices for overdues in the notice status triggers
5) Run the outbound script for OVERDUE with -t OVERDUE
6) Note the output the output contains a line for that patron
7) Set the sort1 field for that patron to TEST
8) Run the script again, adding in the option "-i sort1:TEST"
9) Note the ouput no longer contains that patron!
Comment 2 Lucas Gass 2023-11-02 17:28:07 UTC
Created attachment 158278 [details] [review]
Bug 34854: Add ability to skip Talking Tech Itiva notifications for a patron if a given field matches a given value

Because some notices are mandatory, some libraries would like to allow patrons to opt-in to phone notices. The request is to be able to decide if a patron should get a notice based on the value of a given field ( usually sort1 or sort2 ).

Test Plan:
1) Apply this patch
2) Enable TalkingTechItivaPhoneNotification
3) Set up some overdue items for a patron
4) Enable phone notices for overdues in the notice status triggers
5) Run the outbound script for OVERDUE with -t OVERDUE
6) Note the output the output contains a line for that patron
7) Set the sort1 field for that patron to TEST
8) Run the script again, adding in the option "-i sort1:TEST"
9) Note the ouput no longer contains that patron!

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Martin Renvoize 2023-11-20 14:29:34 UTC
Created attachment 159140 [details] [review]
Bug 34854: Add ability to skip Talking Tech Itiva notifications for a patron if a given field matches a given value

Because some notices are mandatory, some libraries would like to allow patrons to opt-in to phone notices. The request is to be able to decide if a patron should get a notice based on the value of a given field ( usually sort1 or sort2 ).

Test Plan:
1) Apply this patch
2) Enable TalkingTechItivaPhoneNotification
3) Set up some overdue items for a patron
4) Enable phone notices for overdues in the notice status triggers
5) Run the outbound script for OVERDUE with -t OVERDUE
6) Note the output the output contains a line for that patron
7) Set the sort1 field for that patron to TEST
8) Run the script again, adding in the option "-i sort1:TEST"
9) Note the ouput no longer contains that patron!

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2023-11-20 14:29:37 UTC
Created attachment 159141 [details] [review]
Bug 34854: (follow-up) Param name change + POD

This patch updates the parameter name to more clearly define what it's
used for and also adds missing documentation.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Katrin Fischer 2024-01-17 10:40:19 UTC
Pushed for 24.05!

Well done everyone, thank you!
Comment 6 Fridolin Somers 2024-01-31 12:45:04 UTC
Small enhancement, I choose to backport

Pushed to 23.11.x for 23.11.03
Comment 7 Lucas Gass 2024-02-08 18:47:44 UTC
Enhancement, no backport for 23.05.x.